Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultStandardFormAndPhFrmAndVtlFrmType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.ConsultStandardFormType
be.fgov.ehealth.dics.protocol.v4.ConsultStandardFormAndPhFrmAndVtlFrmType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultStandardFormAndPhFrmAndVtlFrmType extends ConsultStandardFormType implements Serializable

Java class for ConsultStandardFormAndPhFrmAndVtlFrmType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultStandardFormAndPhFrmAndVtlFrmType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultStandardFormType">
           <sequence>
             <element name="PharmaceuticalForm" type="{urn:be:fgov:ehealth:dics:core:v4:refdata}PharmaceuticalFormKeyType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="VirtualForm" type="{urn:be:fgov:ehealth:dics:core:v4:refdata}VirtualFormKeyType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultStandardFormAndPhFrmAndVtlFrmType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PharmaceuticalFormKeyType>`
  `getPharmaceuticalForms()`
  Gets the value of the pharmaceuticalForms property.
  `List<VirtualFormKeyType>`
  `getVirtualForms()`
  Gets the value of the virtualForms property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v4.ConsultStandardFormType

  `getCode, getDefinition, getName, getStandard, getUrl, setCode, setDefinition, setName, setStandard, setUrl`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultStandardFormAndPhFrmAndVtlFrmType

    public ConsultStandardFormAndPhFrmAndVtlFrmType()

- ## Method Details

  - ### getPharmaceuticalForms

    public List<PharmaceuticalFormKeyType> getPharmaceuticalForms()
    Gets the value of the pharmaceuticalForms property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pharmaceuticalForms property.

    For example, to add a new item, do as follows:

         getPharmaceuticalForms().add(newItem);

    Objects of the following type(s) are allowed in the list `PharmaceuticalFormKeyType`

    Returns:
      The value of the pharmaceuticalForms property.

  - ### getVirtualForms

    public List<VirtualFormKeyType> getVirtualForms()
    Gets the value of the virtualForms property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the virtualForms property.

    For example, to add a new item, do as follows:

         getVirtualForms().add(newItem);

    Objects of the following type(s) are allowed in the list `VirtualFormKeyType`

    Returns:
      The value of the virtualForms property.